/*
 * Copyright (c) 2020 Alex aka mailoman <alex@webz.asia>
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 *   @author Alex aka mailoman <alex@webz.asia>
 *   @copyright Copyright (c) 2020 Alex aka mailoman <alex@webz.asia>
 *   @since 10.01.2020
 *
 */

package gormgoose

import (
	"github.com/jinzhu/gorm"
)

func MigrateFromDir(con *gorm.DB, migrationsDir string) error {
	dbconf := &DBConf{
		MigrationsDir: migrationsDir,
	}

	target, err := GetMostRecentDBVersion(dbconf.MigrationsDir)
	if nil != err {
		return err
	}

	err = RunMigrationsOnDb(dbconf, dbconf.MigrationsDir, target, con)
	if nil != err {
		return err
	}

	return nil
}
